Bug Hunting Session
Bug 108012 - Clicking in the font field should select the contents
Summary: Clicking in the font field should select the contents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Nickson Thanda
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Fonts-Name-Combobox
  Show dependency treegraph
 
Reported: 2017-05-22 23:29 UTC by Kevin
Modified: 2019-08-29 23:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2017-05-22 23:29:03 UTC
Description:
Calc makes it more difficult to apply fonts that Excel.

Steps to Reproduce:
1. edit a cell containing text using Courier New
2. In Excel, click in the font name field
Excel result (desirable): the font field is selected in its entirety
Calc result (undesirable): the cursor is inserted where you clicked and you must drag over the font name, or type control+a
3. Still in Excel, type "Calibri"
4. Still in Excel, use the mouse to click the font size dropdown 
Excel result (desirable): the cell changes to Calibri and the font menu drops down
Calc result (undesirable): as soon as you click on the size dropdown, the font dropdown reverts to Courier New

Actual Results:  
In both cases, Excel's behavior requires less user action and is cleaner.

Expected Results:
Calc should never be harder, less intuitive or buggier than Excel.. If this isn't near the top of the product spec, then the spec itself is my single biggest complaint about Calc. Calc users coming from Excel must surely outnumber Calc users who haven't used Excel by at least a thousand fold.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 Buovjaga 2017-05-27 18:04:21 UTC
Confirmed and created bug 108181 for the other issue.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 6dbf9543c6f83d7b1fe7ad27232f65152456619a
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 27th 2017

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2018-05-28 02:32:11 UTC Comment hidden (obsolete)
Comment 3 Kevin 2018-05-28 18:26:00 UTC
status in 6.0.3.2

step 2 still active-clicking in font field fails to select all

step 4 is fixed - you have type control A to select the field, but then if you type "cali" it highlights Calibri and then typing return applies the font to the selected cell

The really massive problems I reported during my beta phase (like zoom failing to keep shown contents visible) are still quite active.
Comment 4 Commit Notification 2018-07-19 11:04:23 UTC
Nickson Thanda committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11b60b16739bfd88cc6f9f16834870a296921883

tdf#108012 - Clicking in the font field should select the contents

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2018-07-19 12:48:33 UTC
I dont see a difference between 6.1 and master. Clicking into the font field doesnt select all text. Neither my new font is accepted when I leave the field without pressing enter (which is requested but would be questionable, however).

Version: 6.2.0.0.alpha0+
Build ID: 9f01dca60e6539f48cd529180f0d64c2131e0ea1
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 6 Buovjaga 2018-07-23 19:11:20 UTC
(In reply to Heiko Tietze from comment #5)
> I dont see a difference between 6.1 and master. Clicking into the font field
> doesnt select all text. Neither my new font is accepted when I leave the
> field without pressing enter (which is requested but would be questionable,
> however).
> 
> Version: 6.2.0.0.alpha0+
> Build ID: 9f01dca60e6539f48cd529180f0d64c2131e0ea1
> CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
> Locale: en-US (en_US.UTF-8); Calc: group threaded

Works fine here (Writer, Calc). Tried safe mode?

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: b9d18daf5b23155a9b4dfcdd5d1f23ed53bc3849
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 22nd 2018
Comment 7 Xisco Faulí 2018-09-12 12:08:44 UTC
> Works fine here (Writer, Calc). Tried safe mode?

Closing as RESOLVED FIXED then...
Comment 8 BogdanB 2018-09-15 11:39:12 UTC
it is ok on linux Version: 6.2.0.0.alpha0+. I think bug can be closed.


6.2.0.0.alpha0+
Build ID: 9a9b81c7212fa6a6762246593acf3f1950677a22
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-08_00:00:43
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded